Subject: bug#40733: 28.0.50; Emacs locks up on paste (yank) of unicode characters

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Apr 2020 17:29:14 +0300

> From: Will Bush <[email-masked]>
> Date: Tue, 21 Apr 2020 07:19:56 -0500
> Cc: "Basil L. Contovounesios" <[email-masked]>, [email-masked]
> 
> I tried Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.17) (A
> version that just happens to be in nixpkgs) again to see what it would do when
> yanking that character with and without google-fonts installed.
> 
> With google-fonts installed it doesn't have latency issues, but it inserts an
> empty whitespace looking character (wider than a normal space). Without
> google-fonts installed, it renders the character fine with no latency.
> 
> So I suspect even if there is an issue with google-fonts, there's still a
> regression in Emacs since 26.3.

I'm not sure I understand: you are saying that slow, but correct
display is _worse_ than displaying a white space instead of the
correct glyph, i.e. producing incorrect display?  To me, it sounds
like Emacs 27+ actually _improves_ things in this case.